package com.jsowell.pile.service;

import com.jsowell.pile.domain.MemberWalletLog;

import java.util.List;

public interface MemberWalletLogService {


    int deleteByPrimaryKey(Integer id);

    int insert(MemberWalletLog record);

    int insertSelective(MemberWalletLog record);

    MemberWalletLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberWalletLog record);

    int updateByPrimaryKey(MemberWalletLog record);

    int insertOrUpdate(MemberWalletLog record);

    int insertOrUpdateSelective(MemberWalletLog record);

    int updateBatch(List<MemberWalletLog> list);

    int updateBatchSelective(List<MemberWalletLog> list);

    int batchInsert(List<MemberWalletLog> list);

    List<MemberWalletLog> getOrderRecord(String orderCode, String type);
}

